var mysql = require('mysql');
var redis = require('redis');

var conn;   //mysql
var client; //redis
module.exports = {
    mysqlConn:function(obj){
        return new Promise((resolve, reject) => {
            console.log(obj);
            conn = mysql.createConnection({
                host:obj.host,                  //数据库地址
                user:obj.user,                  //用户名
                password: obj.password,             //密码
                database: obj.database,             //数据库名
                port: obj.port                  //端口
            });
            conn.connect(); //打开数据库
            return resolve(true)
        });
    },
    mysql:function(sql){
        return new Promise((resolve, reject) => {
            conn.query(sql,function(err,rows){
                if(err){
                    return resolve(err)
                }else{
                    return resolve(rows)
                }
                
            })
        });

    },
    redisConn:function(obj){
        return new Promise((resolve, reject) => {
            client = redis.createClient(obj.prot,obj.host);
            client.on('ready',function(err){
                if(!err){
                    console.log('redis连接成功');
                    return resolve(1)
                }else{
                    console.error('redis连接失败');
                    return resolve(err)
                }
            })
        });

    },
    redis:function(){
        client.set('aa','abcdefg123',function(err,d){
            if(!err){
                console.log('保存成功');
                client.get('aa',function(err,d){
                    if(!err){
                        console.log('读取成功：' + d);
                    }
                });
            }
        }); 
    }
}