var sql = require("../lib/sql");
var inquirer = require('inquirer');

var cs1 = [
    {
        type: 'list', 
        name: 'db', 
        message: '请选择数据库?', 
        default: false,
        choices:["mysql","redis"]
    }
]
var cs2 = [
    {
        type: 'input', 
        name: 'host', 
        message: '请输入服务器地址?',
        default:"101.132.148.244"
    },
    {
        type: 'input', 
        name: 'user', 
        message: '用户名?',
        default:'root'
    },
    {
        type: 'password', 
        name: 'password', 
        message: '密码?',
        default:''
    },
    {
        type: 'input', 
        name: 'database', 
        message: '连接那个库?',
        default:'my'
    },
    {
        type: 'input', 
        name: 'port', 
        message: '端口?',
        default:3306
    }
]
var cs3 = [
    {
        type: 'input', 
        name: 'sql', 
        message: 'sql?', 
    }
]

var cs4 = [
    {
        type: 'input', 
        name: 'host', 
        message: '请输入redis地址?',
        default:"192.168.10.242"
    },
    {
        type: 'input', 
        name: 'port', 
        message: '端口?',
        default:6380
        //6379
    }
]




async function mysql(){
    let db2 = await inquirer.prompt(cs2);
    let db3 = await sql.redisConn(db2);
    while(true){
        try{
            let db4 = await inquirer.prompt(cs3);
            let db5 = await sql.mysql(db4.sql)
            console.log(db5);
        }catch(e){
            console.error(e);
        }
    }
};

async function redis(){
    let db = await inquirer.prompt(cs4);
    let db2 = await sql.mysqlConn(db);
    // while(true){
    //     try{
    //         let db4 = await inquirer.prompt(cs3);
    //         let db5 = await sql.mysql(db4.sql)
    //         console.log(db5);
    //     }catch(e){
    //         console.error(e);
    //     }
    // }
};



void async function(){
    try{
        let db1 = await inquirer.prompt(cs1);
        if(db1.db == "mysql"){
            mysql();
        }else if(db1.db == "redis"){
            redis();
        }

    }catch(e){
        console.error(e);
    }
}();
